import 'package:equatable/equatable.dart';
import 'package:meta/meta.dart';
import 'package:vegigo2_ui_common/entities/product/unit.dart';

class ProductCategory extends Equatable {
  final String id;
  final String title;
  final String thumbnail;
  final List<Unit> units;

  ProductCategory({
    @required this.id,
    @required this.title,
    @required this.thumbnail,
    @required this.units,
  });

  @override
  List<Object> get props => [id, title, thumbnail, units];
}
