import 'package:flutter/material.dart';

class ThemeGradient extends LinearGradient {
  final BuildContext context;

  ThemeGradient({@required this.context}) : super(
      colors: <Color>[Theme.of(context).primaryColorDark, Theme.of(context).primaryColorLight],
      begin: Alignment.topRight,
      end: Alignment.bottomLeft
  );
}