import 'package:flutter/material.dart';

class IconText extends StatelessWidget {
  final Icon icon;
  final Widget text;
  final double spacing;

  IconText({
    @required this.icon,
    @required this.text,
    this.spacing = 3.0
  });

  @override
  Widget build(BuildContext context) {
    return Row(
      children: <Widget>[
        icon,
        SizedBox(width: spacing),
        text
      ],
    );
  }
}
