import 'package:flutter/material.dart';
import 'package:vegigo2_ui_common/theme/colors.dart';

class NoContentMessage extends StatelessWidget {
  final String message;

  const NoContentMessage({Key key, this.message}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Text(
        message,
        textAlign: TextAlign.center,
        style: Theme.of(context).textTheme.headline5.copyWith(
          color: DARK_GREY_3,
          textBaseline: TextBaseline.alphabetic,
        ),
      ),
    );
  }
}