import 'package:equatable/equatable.dart';
import 'package:meta/meta.dart';

class DeliveryPolicy extends Equatable {
  final String id;
  final double charges;
  final double activationAmount;
  final String description;
  final String store;
  final bool active;

  DeliveryPolicy({
    @required this.id,
    @required this.charges,
    @required this.activationAmount,
    @required this.description,
    @required this.store,
    @required this.active,
  });

  @override
  List<Object> get props => [id, charges, activationAmount, description, store, active];
}