import 'package:equatable/equatable.dart';
import 'package:flutter/material.dart';
import 'package:meta/meta.dart';
import 'package:vegigo2_ui_common/util/extensions.dart';

class TimeInterval extends Equatable {
  final TimeOfDay startTime;
  final TimeOfDay endTime;

  TimeInterval({@required this.startTime, @required this.endTime});

  String asString({@required String delimiter}) {
    return '${this.startTime.asString} $delimiter ${this.endTime.asString}';
  }

  @override
  List<Object> get props => [startTime, endTime];
}